=== debian/changelog ===
openvpn (2.7.0~rc4-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)
    - d/t/control: Move to isolation-container to enable armhf/LXD coverage.
      (LP #2104146)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 20 Dec 2025 05:22:34 +0100

openvpn (2.7.0~rc4-1) unstable; urgency=medium

  * New upstream version 2.7.0~rc4
  * debian/openvpn@.service: Follow upstream change to add CAP_SYS_NICE
  * Fix build-depends-on-obsolete-package pkg-config => pkgconf
  * Fix d/copyright lintian warnings

 -- Bernhard Schmidt <berni@debian.org>  Fri, 19 Dec 2025 15:47:09 +0100
