## openvpn 2.7.0~rc5

=== sample/sample-plugins/Makefile ===
--- 
+++ 
@@ -21,12 +21,12 @@
 #             packet encryption, packet authentication, and
 #             packet compression.
 #
-#  Copyright (C) 2002-2025 OpenVPN Inc <sales@openvpn.net>
+#  Copyright (C) 2002-2026 OpenVPN Inc <sales@openvpn.net>
 #
 
 #  SPDX-License-Identifier: GPL-2.0-only
 #
-#  Copyright (C) 2020-2025 OpenVPN Inc <sales@openvpn.net>
+#  Copyright (C) 2020-2026 OpenVPN Inc <sales@openvpn.net>
 #
 
 am__is_gnu_make = { \
@@ -220,7 +220,7 @@
 OPENSSL_LIBS = -L/opt/homebrew/Cellar/openssl@3/3.6.0/lib -lssl -lcrypto
 OPENVPN_VERSION_MAJOR = 2
 OPENVPN_VERSION_MINOR = 7
-OPENVPN_VERSION_PATCH = _rc4
+OPENVPN_VERSION_PATCH = _rc5
 OPTIONAL_CRYPTO_CFLAGS =  -I/opt/homebrew/Cellar/openssl@3/3.6.0/include
 OPTIONAL_CRYPTO_LIBS =  -L/opt/homebrew/Cellar/openssl@3/3.6.0/lib -lssl -lcrypto
 OPTIONAL_DL_LIBS = -ldl
@@ -237,6 +237,7 @@
 OPTIONAL_PKCS11_HELPER_CFLAGS = 
 OPTIONAL_PKCS11_HELPER_LIBS = 
 OPTIONAL_SELINUX_LIBS = 
+OPTIONAL_SYSTEMD_CFLAGS = 
 OPTIONAL_SYSTEMD_LIBS = 
 OTOOL = otool
 OTOOL64 = :
@@ -246,10 +247,10 @@
 PACKAGE = openvpn
 PACKAGE_BUGREPORT = openvpn-users@lists.sourceforge.net
 PACKAGE_NAME = OpenVPN
-PACKAGE_STRING = OpenVPN 2.7_rc4
+PACKAGE_STRING = OpenVPN 2.7_rc5
 PACKAGE_TARNAME = openvpn
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.7_rc4
+PACKAGE_VERSION = 2.7_rc5
 PATH_SEPARATOR = :
 PKCS11_HELPER_CFLAGS = 
 PKCS11_HELPER_LIBS = 
@@ -282,7 +283,7 @@
 TEST_CFLAGS =  -I/opt/homebrew/Cellar/openssl@3/3.6.0/include     -I$(top_srcdir)/include -I/opt/homebrew/Cellar/cmocka/1.1.8/include
 TEST_LDFLAGS =  -L/opt/homebrew/Cellar/openssl@3/3.6.0/lib -lssl -lcrypto     -L/opt/homebrew/Cellar/cmocka/1.1.8/lib -lcmocka
 TMPFILES_DIR = 
-VERSION = 2.7_rc4
+VERSION = 2.7_rc5
 WINDMC = no
 WOLFSSL_CFLAGS = 
 WOLFSSL_INCLUDEDIR = 
@@ -390,4 +391,3 @@
 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
 	  *) \
 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
-	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
