=== debian/changelog ===
openvpn (2.7.0~rc5-1ubuntu5) resolute; urgency=medium

  * Fix tests (LP: #2135125):
    - disable DCO for normal ca test
    - add new test for DCO
    - allow unsecure crypto for static key test
    - don't check anymore if the route is properly configured, message not
      printed anymore
    - dump openvpn log before cleaning up

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 23 Jan 2026 08:20:15 +0100

openvpn (2.7.0~rc5-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)
    - d/t/control: Move to isolation-container to enable armhf/LXD coverage.
      (LP #2104146)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Jan 2026 18:49:46 +0100

openvpn (2.7.0~rc5-1) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * New upstream version 2.7.0~rc5
    - CVE-2025-15497: in epoch key handling (an authenticated remote system can
      send a valid OpenVPN data packet that triggers an endge case where a
      too-strict check would trigger an ASSERT(), exiting OpenVPN)

  [ Luca Boccassi ]
  * d/postinst: do not fail if pidof is not available

 -- Bernhard Schmidt <berni@debian.org>  Fri, 16 Jan 2026 10:15:07 +0100
