=== debian/tests/control ===
Tests: server-setup-with-ca
Depends: openvpn, easy-rsa
Restrictions: needs-root, isolation-container, allow-stderr

Tests: server-setup-with-ca-dco
Depends: openvpn, easy-rsa
Restrictions: needs-root, isolation-container, allow-stderr, skippable

Tests: server-setup-with-static-key
Restrictions: needs-root, isolation-container, allow-stderr

Tests: unit-tests
Depends: libcmocka-dev, @builddeps@
Restrictions: allow-stderr
