## openvpn 2.7.0~rc6

=== sample/sample-plugins/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.18.1 from Makefile.am.
+# Makefile.in generated by automake 1.16.5 from Makefile.am.
 # sample/sample-plugins/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2025 Free Software Foundation, Inc.
+# Copyright (C) 1994-2021 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -84,8 +84,6 @@
   test $$has_opt = yes
 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
-am__rm_f = rm -f $(am__rm_f_notfound)
-am__rm_rf = rm -rf $(am__rm_f_notfound)
 pkgdatadir = $(datadir)/openvpn
 pkgincludedir = $(includedir)/openvpn
 pkglibdir = $(libdir)/openvpn
@@ -102,8 +100,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = aarch64-apple-darwin24.6.0
-host_triplet = aarch64-apple-darwin24.6.0
+build_triplet = x86_64-pc-linux-gnu
+host_triplet = x86_64-pc-linux-gnu
 subdir = sample/sample-plugins
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_socklen_t.m4 \
@@ -143,20 +141,20 @@
 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.plugins \
 	README
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' aclocal-1.18
+ACLOCAL = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' aclocal-1.16
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
 AS = as
-AUTOCONF = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' autoconf
-AUTOHEADER = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' autoheader
-AUTOMAKE = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' automake-1.18
-AWK = awk
+AUTOCONF = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' autoconf
+AUTOHEADER = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' autoheader
+AUTOMAKE = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' automake-1.16
+AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -g -O2 -std=c11 -Wstrict-prototypes -Wold-style-definition -Wconversion -Wno-sign-conversion -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter
-CMOCKA_CFLAGS = -I/opt/homebrew/Cellar/cmocka/1.1.8/include
-CMOCKA_LIBS = -L/opt/homebrew/Cellar/cmocka/1.1.8/lib -lcmocka
+CFLAGS = -g -O2 -std=c11 -Wno-stringop-truncation -Wstrict-prototypes -Wold-style-definition -Wconversion -Wno-sign-conversion -Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -Wimplicit-fallthrough=2
+CMOCKA_CFLAGS = 
+CMOCKA_LIBS = -lcmocka 
 CPP = gcc -E
 CPPFLAGS = 
 CSCOPE = cscope
@@ -166,11 +164,11 @@
 DEPDIR = .deps
 DLLTOOL = false
 DL_LIBS = -ldl
-DNS_UPDOWN_TYPE = macos
-DSYMUTIL = dsymutil
+DNS_UPDOWN_TYPE = systemd
+DSYMUTIL = 
 DUMPBIN = 
-ECHO_C = \c
-ECHO_N = 
+ECHO_C = 
+ECHO_N = -n
 ECHO_T = 
 EGREP = /usr/bin/grep -E
 ENABLE_UNITTESTS = 
@@ -180,54 +178,54 @@
 FILECMD = file
 GIT = git
 GREP = /usr/bin/grep
-IFCONFIG = /sbin/ifconfig
-INSTALL = /opt/homebrew/opt/coreutils/libexec/gnubin/install -c
+IFCONFIG = /usr/sbin/ifconfig
+INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-IPROUTE = 
-LD = /Library/Developer/CommandLineTools/usr/bin/ld
+IPROUTE = /usr/sbin/ip
+LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
 LIBCAPNG_CFLAGS = 
-LIBCAPNG_LIBS = 
+LIBCAPNG_LIBS = -lcap-ng 
 LIBNL_GENL_CFLAGS = 
 LIBNL_GENL_LIBS = 
 LIBOBJS = 
 LIBPAM_CFLAGS = 
 LIBPAM_LIBS = -lpam
-LIBS = -lresolv 
+LIBS = 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
-LIPO = lipo
+LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
 LT_SYS_LIBRARY_PATH = 
 LZ4_CFLAGS = 
 LZ4_LIBS = 
-LZO_CFLAGS = -I/opt/homebrew/Cellar/lzo/2.10/include/lzo
-LZO_LIBS = -L/opt/homebrew/Cellar/lzo/2.10/lib -llzo2
-MAKEINFO = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' makeinfo
+LZO_CFLAGS = -I/usr/include/lzo 
+LZO_LIBS = -llzo2 
+MAKEINFO = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' makeinfo
 MANIFEST_TOOL = :
 MBEDTLS_CFLAGS = 
 MBEDTLS_LIBS = 
-MKDIR_P = /opt/homebrew/opt/coreutils/libexec/gnubin/mkdir -p
+MKDIR_P = /usr/bin/mkdir -p
 NETSTAT = netstat
 NM = /usr/bin/nm -B
-NMEDIT = nmedit
+NMEDIT = 
 OBJDUMP = objdump
 OBJEXT = o
-OPENSSL_CFLAGS = -I/opt/homebrew/Cellar/openssl@3/3.6.0/include
-OPENSSL_LIBS = -L/opt/homebrew/Cellar/openssl@3/3.6.0/lib -lssl -lcrypto
+OPENSSL_CFLAGS = 
+OPENSSL_LIBS = -lssl -lcrypto 
 OPENVPN_VERSION_MAJOR = 2
 OPENVPN_VERSION_MINOR = 7
-OPENVPN_VERSION_PATCH = _rc5
-OPTIONAL_CRYPTO_CFLAGS =  -I/opt/homebrew/Cellar/openssl@3/3.6.0/include
-OPTIONAL_CRYPTO_LIBS =  -L/opt/homebrew/Cellar/openssl@3/3.6.0/lib -lssl -lcrypto
+OPENVPN_VERSION_PATCH = _rc6
+OPTIONAL_CRYPTO_CFLAGS =  
+OPTIONAL_CRYPTO_LIBS =  -lssl -lcrypto 
 OPTIONAL_DL_LIBS = -ldl
 OPTIONAL_INOTIFY_CFLAGS = 
 OPTIONAL_INOTIFY_LIBS = 
 OPTIONAL_LIBCAPNG_CFLAGS = 
-OPTIONAL_LIBCAPNG_LIBS = 
+OPTIONAL_LIBCAPNG_LIBS = -lcap-ng 
 OPTIONAL_LIBNL_GENL_CFLAGS = 
 OPTIONAL_LIBNL_GENL_LIBS = 
 OPTIONAL_LZ4_CFLAGS = 
@@ -239,22 +237,22 @@
 OPTIONAL_SELINUX_LIBS = 
 OPTIONAL_SYSTEMD_CFLAGS = 
 OPTIONAL_SYSTEMD_LIBS = 
-OTOOL = otool
-OTOOL64 = :
+OTOOL = 
+OTOOL64 = 
 P11KIT_CFLAGS = 
 P11KIT_LIBS = 
 P11TOOL = 
 PACKAGE = openvpn
 PACKAGE_BUGREPORT = openvpn-users@lists.sourceforge.net
 PACKAGE_NAME = OpenVPN
-PACKAGE_STRING = OpenVPN 2.7_rc5
+PACKAGE_STRING = OpenVPN 2.7_rc6
 PACKAGE_TARNAME = openvpn
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.7_rc5
+PACKAGE_VERSION = 2.7_rc6
 PATH_SEPARATOR = :
 PKCS11_HELPER_CFLAGS = 
 PKCS11_HELPER_LIBS = 
-PKG_CONFIG = /opt/homebrew/bin/pkg-config
+PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
 PLUGINDIR = 
@@ -262,36 +260,36 @@
 PLUGIN_AUTH_PAM_LIBS = 
 RANLIB = ranlib
 RC = 
-ROUTE = /sbin/route
+ROUTE = /usr/sbin/route
 RST2HTML = rst2html
 RST2MAN = rst2man
 SCRIPTDIR = 
-SED = /opt/homebrew/opt/gnu-sed/libexec/gnubin/sed
-SELINUX_LIBS = 
+SED = /usr/bin/sed
+SELINUX_LIBS = -lselinux
 SET_MAKE = 
-SHELL = /bin/sh
+SHELL = /bin/bash
 SOCKETS_LIBS =  -lresolv
 SOFTHSM2_MODULE = 
 SOFTHSM2_UTIL = 
 STRIP = strip
-SYSTEMD_ASK_PASSWORD = 
+SYSTEMD_ASK_PASSWORD = /usr/bin/systemd-ask-password
 SYSTEMD_UNIT_DIR = 
 TAP_CFLAGS = 
 TAP_WIN_COMPONENT_ID = tap0901
 TAP_WIN_MIN_MAJOR = 9
 TAP_WIN_MIN_MINOR = 9
-TEST_CFLAGS =  -I/opt/homebrew/Cellar/openssl@3/3.6.0/include     -I$(top_srcdir)/include -I/opt/homebrew/Cellar/cmocka/1.1.8/include
-TEST_LDFLAGS =  -L/opt/homebrew/Cellar/openssl@3/3.6.0/lib -lssl -lcrypto     -L/opt/homebrew/Cellar/cmocka/1.1.8/lib -lcmocka
+TEST_CFLAGS =       -I$(top_srcdir)/include 
+TEST_LDFLAGS =  -lssl -lcrypto   -lcap-ng    -lcmocka 
 TMPFILES_DIR = 
-VERSION = 2.7_rc5
+VERSION = 2.7_rc6
 WINDMC = no
 WOLFSSL_CFLAGS = 
 WOLFSSL_INCLUDEDIR = 
 WOLFSSL_LIBS = 
-abs_builddir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn/sample/sample-plugins
-abs_srcdir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn/sample/sample-plugins
-abs_top_builddir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn
-abs_top_srcdir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn
+abs_builddir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/sample/sample-plugins
+abs_srcdir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/sample/sample-plugins
+abs_top_builddir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn
+abs_top_srcdir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
@@ -299,31 +297,29 @@
 am__include = include
 am__leading_dot = .
 am__quote = 
-am__rm_f_notfound = 
-am__tar = tar --format=ustar -chf - "$$tardir"
-am__untar = tar -xf -
-am__xargs_n = xargs -n
+am__tar = $${TAR-tar} chof - "$$tardir"
+am__untar = $${TAR-tar} xf -
 bindir = ${exec_prefix}/bin
-build = aarch64-apple-darwin24.6.0
+build = x86_64-pc-linux-gnu
 build_alias = 
-build_cpu = aarch64
-build_os = darwin24.6.0
-build_vendor = apple
+build_cpu = x86_64
+build_os = linux-gnu
+build_vendor = pc
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = aarch64-apple-darwin24.6.0
+host = x86_64-pc-linux-gnu
 host_alias = 
-host_cpu = aarch64
-host_os = darwin24.6.0
-host_vendor = apple
+host_cpu = x86_64
+host_os = linux-gnu
+host_vendor = pc
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /Users/uddr/devel/openvpn/openvpn-build/src/openvpn/install-sh
+install_sh = ${SHELL} /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 libsystemd_CFLAGS = 
@@ -391,3 +387,25 @@
 	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
 	  *) \
 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
+	esac;
+$(srcdir)/Makefile.plugins $(am__empty):
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure:  $(am__configure_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(am__aclocal_m4_deps):
+
+mostlyclean-libtool:
+	-rm -f *.lo
+
+clean-libtool:
+	-rm -rf .libs _libs
+tags TAGS:
+
+ctags CTAGS:
+
