=== debian/changelog ===
openvpn (2.7.0~rc6-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Feb 2026 08:15:51 +0100

openvpn (2.7.0~rc6-1) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * New upstream version 2.7.0~rc6
  * Use d/watch version 5
  * Update Standards-Version: 4.7.3, drop Priority field

  [ Gianfranco Costamagna ]
  * Autopkgtests fixes:
    - Fix test server-setup-with-ca, by making sure new DCO mode
      is not used (fails grep command otherwise)
    - Relax regex for TUN/TAP and check after the loop which device was opened
    - Add new allow-deprecated-insecure-static-crypto flag to
      server-setup-with-static-key to allow the test run in deprecated mode
    - Add dump of log file in case of failures to better check which
      output didn't match
    - Fixup test, some logs were removed in new openvpn version
    - Run tests in isolation-container not in isolation-machine
    - Add new server-setup-with-ca-dco test, skippable for now since not all
      the kernels supports this new way of opening an openvpn tunnel
    - Add code to skip the test if /dev/net/tun is not there
    - Use AUTOPKGTEST_ARTIFACTS instead of AUTOPKGTEST_TMP, so we don't
      have to dump openvpn.log file but we can have in artifacts tarball

 -- Bernhard Schmidt <berni@debian.org>  Sun, 01 Feb 2026 22:24:28 +0100
