=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: openvpn
 Section: net
-Priority: optional
 Maintainer: Bernhard Schmidt <berni@debian.org>
 Uploaders: Jörg Frings-Fürst <debian@jff.email>
 Build-Depends:
@@ -19,7 +18,7 @@
  pkgconf,
  python3-docutils,
  systemd-dev [linux-any]
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Homepage: https://openvpn.net/community/
 Vcs-Git: https://salsa.debian.org/debian/openvpn.git
